## ja2 0.12.1r6466-1maemo3

=== debian/changelog ===
ja2 (0.12.1r6466-1maemo3) unstable; urgency=low

  * Hopefully fix the building on i386

 -- Faheem Pervez <trippin1@gmail.com>  Fri, 25 Dec 2009 19:24:36 +0000

ja2 (0.12.1r6466-1maemo2) unstable; urgency=low

  * Added missing targets to debian/rules

 -- Faheem Pervez <trippin1@gmail.com>  Fri, 25 Dec 2009 18:55:20 +0000

ja2 (0.12.1r6466-1maemo1) unstable; urgency=low

  * Use proximity sensor for right click on Fremantle

 -- Faheem Pervez <trippin1@gmail.com>  Fri, 25 Dec 2009 17:52:13 +0000

ja2 (0.12.1r6466-1maemo0) unstable; urgency=low

  * Initial release

 -- Faheem Pervez <trippin1@gmail.com>  Thu, 23 Jul 2009 10:43:10 +0100
