=== debian/control ===
Source: ja2
Section: user/games
Priority: extra
Maintainer: Faheem Pervez <trippin1@gmail.com>
Build-Depends: debhelper (>= 5), sharutils, quilt, libsdl1.2-dev, libosso-dev, libx11-dev
Standards-Version: 3.7.2

Package: ja2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, maemo-installer-utils
Description: An enhanced port of Jagged Alliance 2 to SDL
 Jagged Alliance 2 is a tactical role-playing game; developed
 by Sir-Tech Canada.
 .
 The game requires a keyboard, so an N810 or an N800 with a
 bluetooth keyboard/xkbd is required.
 .
 You are required to have the original CD - with the English 
 data - for the required data files.
XB-Maemo-Display-Name: Jagged Alliance 2 (English CD Ver.)
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAAAXNSR0IArs4c
 6QAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9gCAxEILyQgtnoAAAZw
 SURBVEjHdZXLb1TnGcbf9/2+c87MGdtzsT0G2/iGsfGljiAkAgKkJEBZJG2i
 piiVkrKp2n03bf+D/gFddcUmWbRSFo2a0KilEr2IUhoIxk7xBdtje2Y8Mz5z
 jufMnNt36cJIpVL7+wMePYtHzw8REf4XCETILCIJ6tRoYSyXanaSc/McyPjs
 QfPBlmuAIVRMyFKIHaWklgDAX4wgJIPTS8O9K+WDvlzq3GTPcDa1vhdJJd56
 uetXn9VH4771erS7F97oLnZSLBHyjSNdD1viN9vbUsN/4hCRiK4s5N8+3y18
 Xmumyo4uxGzWNvf8wEC9ej9JS3bvsbMTRT+ZG7Zs2I7Frx9Xf3xu8O6dikJA
 RK01IyIiYowppd6fL/jbFNT5OSP7aO2gX1m//Of2hULur3vexSPZTAYvvZzZ
 Erga+PYAqwjBWeqTr3a/rPhCycNaHBEBUClFSOObmVuN2lIQvXp68p7Tvjjd
 O9fpemnUOFUcJFR9ddNaFpYbf1Ju/X7VS5QyDVPEQiESMaUkADBERASb+HsT
 R3dV8kXNOT2W/fa3bMFElCECs88H4+sENylbU5mqGoitP/FAIBmcp5iFiEQA
 oA9BIir2F7Ndmf1GU6LM2OYPv9kf+IKbyaePdZaslEKdxBWdvBbxmzVDov7F
 CTrIWYigJQgpYiE8r1OrOe0g5IhoWfx7N951HefLh3//7ilVq8CjCvPBTPUk
 gpgvdSQoj5k31zRqvdZDMstTFmjUhEwqsgRX0nBd6oTIEJEAEOHKlTdmZ2aW
 F6uP6p2EMyTNGRGhQpUBeK9KJz211s9+N8lYxrQMAxlxkyulNAAocNxWGAkG
 AIigVbJV2mDcnFo4M7+wUK6WoigAwB6TJgO4uYGFdvxwzKpmcTI2EFXNUBoQ
 CTg3Ou0oTpJWKwjChCEiI0qiqN3u7DsN0zREIl45dSZr20l7/7UWXl2K7UAa
 GkaacrKuelrJRpF7NpcASSy1BiVJg3abfidMGBHZdtrgLBFJFERCdfqyubjm
 tCNxYWhs+vaKFYEgLREipGYXu1uEal+qN1QjcwvXrr81MT4zOzPf7oTbpbLf
 CTgAGAYrFvO+3+q0w6Gjo5ZlLG6UuoA93FKtsb7WSOHZfskToiaE5qiYYYPe
 t/BHl14/OTVnZ3oq5Wq9sb/05Gml7hAASKkYo+JA79T01E9/9vPj0wsbm6W0
 mXJQ3B+xH3G5DPKZDA8U+CJRgM2DDmP5IwPHpJJP/7V8+/bn6+sbrusBAB3O
 L0l0ve5ev/pm2210pa1GfV9a5sDM7OlLl9Y2n0WRQGSMAyIKkXiuf/3aVRDh
 nTt3/vHgfhD6nue5bgsAGBFZlqW1dA8626Vd0+CFfPad77w9efz4V48X9/Z2
 92pVrTTow+ljKs0bjaaM46ATLC2vuq4bRdHOTsX32+0gYABgmEYYhUggomh9
 Y+tv9+6HUWCZ7Mrl1185e3ZsdKxSLnueJ4RMpdBpuFKqCxfPP15c8tut6ZPH
 S1vVpus0GvUgihkRcca1lgwJARln3oG3sra+sbbZdJq5fDbX3fODDz+Ym507
 PjFx5MhgvpB//8b3v7FwJlcobm3tfPjBzeGhY9vbpe3SbhgliIiGYfT02Nnu
 TLvVBtDEmNbaSpkGN5DhpbPnlFCzs9P5XPeJmdnR0RNNt763VyYkg6f6+4vp
 TOajjz++deujzZ1djoimafTmuoaH87Z9dHN9r3kQSCmDThhAyJhRrlUmJsb/
 ePcv+7Xa/PzC2PgxximOonK56nvutWvXzp+/ODw4mOnJPH9jRmRZhmEaoGF8
 YoBK9UajpRERMY6irdLO+Mjw5QuvDhwdihQmUdKo1b74w58L+e7rVy5PTZ1Y
 /nrxydLiXqX6/O/SltnX25XpSmshObFszrYz9sFBWykNSjdb/tp6KeyEhLTx
 bP3Jk8WHjxYdp5nv7l5ZeWbbBqD87aefV6vNWAiGiJZl5nLpnmw6bZmMEEAr
 UHEigiBBAAVaKOm6vusdLK2ulitVAtXqdEzTqNadpytrx4YGmcE2t3fanZAD
 gBCy5UfWvp/inBFp0EEYIzAhxOHIAcjxPMf1kQBA1bSDCCenT4yNDDHGn66s
 NlzP8/xDhSFjlEqbKdM0GENEDUprUFKFQRLKCACURAAE0C9IVPX2FrpsKwxC
 JBIKHKclRIwvavu/Fa4RSGkF/x98DmitD2/033iFktzdhk3IAAAAAElFTkSu
 QmCC
