## ja2 0.12.1r6466-1maemo4

=== debian/changelog ===
ja2 (0.12.1r6466-1maemo4) unstable; urgency=low

  * Optified the package

 -- Faheem Pervez <trippin1@gmail.com>  Fri, 25 Dec 2009 20:03:40 +0000
