=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: extra
 Maintainer: Faheem Pervez <trippin1@gmail.com>
-Build-Depends: debhelper (>= 5), sharutils, quilt, libsdl1.2-dev, libosso-dev, libx11-dev
+Build-Depends: debhelper (>= 5), sharutils, quilt, libsdl1.2-dev, libosso-dev, libx11-dev, maemo-optify
 Standards-Version: 3.7.2
 
 Package: ja2
