## ja2 0.12.1r6466-1maemo5

=== debian/changelog ===
ja2 (0.12.1r6466-1maemo5) unstable; urgency=low

  * Changed maintainer

 -- Janne Makinen <janne.makinen@surffi.fi>>  Sun, 27 Dec 2009 13:23:48 +0000
