=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ja2
 Section: user/games
 Priority: extra
-Maintainer: Faheem Pervez <trippin1@gmail.com>
+Maintainer: Janne Mäkinen <janne.makinen@surffi.fi>
 Build-Depends: debhelper (>= 5), sharutils, quilt, libsdl1.2-dev, libosso-dev, libx11-dev, maemo-optify
 Standards-Version: 3.7.2
