## ja2 0.12.1r6466-1maemo6

=== debian/changelog ===
ja2 (0.12.1r6466-1maemo6) unstable; urgency=low

  * Added kb layout switch to startup script, suspend game when window loses focus

 -- Janne Makinen <janne.makinen@surffi.fi>>  Fri, 22 Jan 2010 19:44:06 +0000
